test: CEdgeCache class Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# CEdgeCache Class Reference

`#include <edge.h>`

Inheritance diagram for CEdgeCache:

List of all members.

## Public Member Functions

BOOL | AddEdge (CEdge *)
| CEdgeCache ()
virtual | ~CEdgeCache ()
CEdge * | Create (int Position, int Axis, int Flexible=FALSE, int Accuracy=0)
CEdge * | Create (CGuide *guide, int Offset)
CEdge * | GetEdge (int i)
| PROPERTY (int, NumVert)
| PROPERTY (int, NumHoriz)

## Protected Attributes

int | m_NumVert
int | m_NumHoriz

## Constructor & Destructor Documentation

CEdgeCache::CEdgeCache | ( |  | ) |

Definition at line 85 of file edge.cpp.

References m_NumHoriz, and m_NumVert.

    00086 {
    00087         m_NumVert=0;
    00088         m_NumHoriz=0;
    00089 }

CEdgeCache::~CEdgeCache | ( |  | ) | `[virtual]`

Definition at line 91 of file edge.cpp.

    00092 {
    00093
    00094 }

## Member Function Documentation

BOOL CEdgeCache::AddEdge | ( | CEdge * |  | ) |

Definition at line 110 of file edge.cpp.

References AddEdge(), BOOL, and CEdge::IsHorizontal().

Referenced by AddEdge(), and Create().

    00111 {
    00112         if( pEdge->IsHorizontal() )
    00113                 SetNumHoriz( GetNumHoriz() + 1 );
    00114         else
    00115                 SetNumVert( GetNumVert() + 1 );
    00116         return Append( pEdge );
    00117 }

CEdge * CEdgeCache::Create | ( | CGuide * | guide,
|  | int | Offset
| ) |

Definition at line 103 of file edge.cpp.

References AddEdge(), and Offset.

    00104 {
    00105         CEdge * pEdge=new CEdge(pGuide, Offset);
    00106         AddEdge(pEdge);
    00107         return pEdge;
    00108 }

CEdge * CEdgeCache::Create | ( | int | Position,
|  | int | Axis,
|  | int | Flexible = `FALSE`,
|  | int | Accuracy = `0`
| ) |

Definition at line 96 of file edge.cpp.

References AddEdge(), and Offset.

Referenced by CParentInfo::AddEdge().

    00097 {
    00098         CEdge * pEdge=new CEdge(Position, Axis, Flexible, Offset);
    00099         AddEdge(pEdge);
    00100         return pEdge;
    00101 }

CEdge* CEdgeCache::GetEdge | ( | int | i | ) | `[inline]`

Definition at line 167 of file edge.h.

References GetEdge().

Referenced by CParentInfo::AddEdge(), CParentInfo::Annotate(), CParentInfo::FindCloseEdge(), GetEdge(), CParentInfo::GetHorizontalEdges(), and CParentInfo::GetVerticalEdges().

    00167 { return (CEdge *)GetPointer(i); }

CEdgeCache::PROPERTY | ( | int | ,
|  | NumHoriz |
| ) |

CEdgeCache::PROPERTY | ( | int | ,
|  | NumVert |
| ) |

## Member Data Documentation

int CEdgeCache::m_NumHoriz`[protected]`

| Definition at line 175 of file edge.h. Referenced by CEdgeCache().

int CEdgeCache::m_NumVert`[protected]`

| Definition at line 174 of file edge.h. Referenced by CEdgeCache().

The documentation for this class was generated from the following files:

- edge.h
- edge.cpp